package com.lz.modules.app.entity;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 短信记录表
 *
 * @author fumeiai
 * @email fumeiai@ldxinyong.com
 * @date 2020-05-27 15:53:05
 */
@TableName("lz_sms_send_log")
public class SmsSendLogEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@TableId
	private Long id;
	/**
	 * 创建时间
	 */
	private Date gmtCreate;
	/**
	 * 上次修改时间
	 */
	private Date gmtModify;
	/**
	 * 是否删除状态，1：删除，0：有效
	 */
	private Integer isDelete;
	/**
	 * 发送内容
	 */
	private String content;
	/**
	 * 要发送的用户
	 */
	private String phones;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 发送者
	 */
	private String sender;
	/**
	 * 状态，0：发送失败，1：发送成功
	 */
	private Integer status;
	/**
	 * 短信模板ID
	 */
	private Long templateId;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：创建时间
	 */
	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getGmtCreate() {
		return gmtCreate;
	}
	/**
	 * 设置：上次修改时间
	 */
	public void setGmtModify(Date gmtModify) {
		this.gmtModify = gmtModify;
	}
	/**
	 * 获取：上次修改时间
	 */
	public Date getGmtModify() {
		return gmtModify;
	}
	/**
	 * 设置：是否删除状态，1：删除，0：有效
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除状态，1：删除，0：有效
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 设置：发送内容
	 */
	public void setContent(String content) {
		this.content = content;
	}
	/**
	 * 获取：发送内容
	 */
	public String getContent() {
		return content;
	}
	/**
	 * 设置：要发送的用户
	 */
	public void setPhones(String phones) {
		this.phones = phones;
	}
	/**
	 * 获取：要发送的用户
	 */
	public String getPhones() {
		return phones;
	}
	/**
	 * 设置：备注
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}
	/**
	 * 获取：备注
	 */
	public String getRemark() {
		return remark;
	}
	/**
	 * 设置：发送者
	 */
	public void setSender(String sender) {
		this.sender = sender;
	}
	/**
	 * 获取：发送者
	 */
	public String getSender() {
		return sender;
	}
	/**
	 * 设置：状态，0：发送失败，1：发送成功
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}
	/**
	 * 获取：状态，0：发送失败，1：发送成功
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 设置：短信模板ID
	 */
	public void setTemplateId(Long templateId) {
		this.templateId = templateId;
	}
	/**
	 * 获取：短信模板ID
	 */
	public Long getTemplateId() {
		return templateId;
	}


}
